import { Auto, IPlugin } from '@auto-it/core';
declare const contributionTypes: readonly ["blog", "bug", "business", "code", "content", "design", "doc", "eventOrganizing", "example", "financial", "fundingFinding", "ideas", "infra", "maintenance", "platform", "plugin", "projectManagement", "question", "review", "security", "talk", "test", "tool", "translation", "tutorial", "userTesting", "video;"];
declare type Contribution = typeof contributionTypes[number];
declare type IAllContributorsPluginOptions = {
    /** Usernames to exclude from the contributors */
    exclude?: string[];
    /** Globs to detect change types by */
    types?: Partial<Record<Contribution, string | string[]>>;
};
/** Automatically add contributors as changelogs are produced. */
export default class AllContributorsPlugin implements IPlugin {
    /** The name of the plugin */
    name: string;
    /** The options of the plugin */
    readonly options: Required<IAllContributorsPluginOptions>;
    /** Initialize the plugin with it's options */
    constructor(options?: IAllContributorsPluginOptions);
    /** Tap into auto plugin points. */
    apply(auto: Auto): void;
}
export {};
//# sourceMappingURL=index.d.ts.map