import { ApiOptions } from './auto-args';
import { ILabelDefinition, ILabelDefinitionMap } from './release';
import { ILogger } from './utils/logger';
declare type ConfigObject = any;
export declare function normalizeLabel(name: string, label: string | Partial<ILabelDefinition> | (Partial<ILabelDefinition> | string)[]): Partial<ILabelDefinition>[];
export declare function normalizeLabels(config: ConfigObject): ILabelDefinitionMap;
export default class Config {
    logger: ILogger;
    constructor(logger: ILogger);
    /**
     * Load the .autorc from the file system, set up defaults, combine with CLI args
     * load the extends property, load the plugins and start the git remote interface.
     */
    loadConfig(args: ApiOptions): Promise<any>;
    /**
     * Loads a config from a path, package name, or special `auto-config` pattern
     *
     * ex: auto-config-MY_CONFIG
     * ex: @MY_CONFIG/auto-config
     *
     * @param extend Path or name of config to find
     */
    loadExtendConfig(extend: string): Promise<any>;
}
export {};
//# sourceMappingURL=config.d.ts.map