import { ICommit } from 'gitlog';
import { AsyncSeriesBailHook, AsyncSeriesWaterfallHook } from 'tapable';
export interface ICommitAuthor {
    name?: string;
    email?: string;
    username?: string;
}
export interface IPullRequest {
    number: number;
    base?: string;
    body?: string;
}
export declare type IExtendedCommit = ICommit & {
    authors: ICommitAuthor[];
    pullRequest?: IPullRequest;
    labels: string[];
    packages?: string[];
};
export declare function parsePR(commit: IExtendedCommit): IExtendedCommit;
export declare function parseSquashPR(commit: IExtendedCommit): IExtendedCommit;
export interface ILogParseHooks {
    parseCommit: AsyncSeriesWaterfallHook<[IExtendedCommit]>;
    omitCommit: AsyncSeriesBailHook<[IExtendedCommit], boolean | void>;
}
export default class LogParse {
    hooks: ILogParseHooks;
    constructor();
    normalizeCommits(commits: ICommit[]): Promise<IExtendedCommit[]>;
    normalizeCommit(commit: ICommit): Promise<IExtendedCommit | undefined>;
}
//# sourceMappingURL=log-parse.d.ts.map