"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const auto_1 = tslib_1.__importDefault(require("../auto"));
const logger_1 = require("../utils/logger");
jest.mock('env-ci', () => () => ({ pr: 123 }));
const defaults = {
    owner: 'foo',
    repo: 'bar',
    token: 'XXXX'
};
describe('comment', () => {
    test('should find PR number from CI', async () => {
        const auto = new auto_1.default(defaults);
        auto.logger = logger_1.dummyLog();
        await auto.loadConfig();
        const createComment = jest.fn();
        auto.git.createComment = createComment;
        await auto.comment({ message: 'foo' });
        expect(createComment).toHaveBeenCalled();
    });
});
//# sourceMappingURL=auto-comment.test.js.map