import { IExtendedCommit } from '../log-parse';
/** Construct a dummy commit for testing. */
declare const makeCommitFromMsg: (subject: string, options?: {
    /** Name of the committer */
    name?: string | undefined;
    /** Hash of the commit */
    hash?: string | undefined;
    /** Email of the committer */
    email?: string | undefined;
    /** Labels on the commit */
    labels?: string[] | undefined;
    /** Username of the committer */
    username?: string | undefined;
    /** Packages effected by the commit */
    packages?: string[] | undefined;
    /** PR info for the commit */
    pullRequest?: {
        /** PR number attached to commit */
        number: number;
    } | undefined;
    /** Files included in commit */
    files?: string[] | undefined;
}) => IExtendedCommit;
export default makeCommitFromMsg;
//# sourceMappingURL=make-commit-from-msg.d.ts.map