import { VersionLabel } from './release';
declare enum SEMVER {
    major = "major",
    premajor = "premajor",
    minor = "minor",
    preminor = "preminor",
    patch = "patch",
    prepatch = "prepatch",
    noVersion = ""
}
export declare type IVersionLabels = Map<VersionLabel, string[]>;
export default SEMVER;
/** Given two labels determine the next SEMVER bump. */
export declare function getHigherSemverTag(left: SEMVER, right: string): SEMVER;
interface ISemVerOptions {
    /** Only publish changes when "release" label is present */
    onlyPublishWithReleaseLabel?: boolean;
    /** Labels to treat as "skip-release" labels */
    skipReleaseLabels?: string[];
}
/**
 * Determine the version bump from the labels on merged PRs.
 * Respects skip-release labels and the "onlyPublishWithReleaseLabel"
 * strategy.
 */
export declare function calculateSemVerBump(labels: string[][], labelMap: IVersionLabels, { onlyPublishWithReleaseLabel, skipReleaseLabels }?: ISemVerOptions): SEMVER.major | SEMVER.premajor | SEMVER.premajor | SEMVER | SEMVER.noVersion;
//# sourceMappingURL=semver.d.ts.map