"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const load_plugins_1 = tslib_1.__importDefault(require("../load-plugins"));
const logger_1 = require("../logger");
const logger = logger_1.dummyLog();
describe('loadPlugins', () => {
    test('should require custom plugins -- fallback to cwd', async () => {
        expect(load_plugins_1.default([path_1.default.join(__dirname, './test-plugin.ts'), {}], logger)).toStrictEqual(expect.objectContaining({
            name: 'foo',
            config: {}
        }));
    });
    test('should load config', async () => {
        expect(load_plugins_1.default([path_1.default.join(__dirname, './test-plugin.ts'), 'do the thing'], logger)).toStrictEqual(expect.objectContaining({
            name: 'foo',
            config: 'do the thing'
        }));
    });
});
//# sourceMappingURL=load-plugin.test.js.map