"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const try_require_1 = tslib_1.__importDefault(require("../try-require"));
jest.mock('test', () => 'success', {
    virtual: true
});
jest.mock('npm', () => 'success', {
    virtual: true
});
describe('try require', () => {
    test('should fall back to normal require', async () => {
        expect(try_require_1.default('test')).toBe('success');
    });
    test('should not fall back to normal require for npm', async () => {
        expect(try_require_1.default('npm')).not.toBe('success');
    });
    test('should return nothing if not found', async () => {
        expect(try_require_1.default('foobar')).toBeUndefined();
    });
});
//# sourceMappingURL=try-require.test.js.map