import signale from 'signale';
export interface ILogger {
    /** The level at which to log messages */
    logLevel: LogLevel;
    /** The default logger. Always on */
    log: signale.Signale<signale.DefaultMethods>;
    /** The verbose log. Has more debug logs */
    verbose: signale.Signale<signale.DefaultMethods>;
    /** The very verbose log. Has all debug logs */
    veryVerbose: signale.Signale<signale.DefaultMethods>;
}
/** Create a dummy logger for testing. */
export declare function dummyLog(): ILogger;
export declare type LogLevel = 'verbose' | 'veryVerbose' | undefined;
/** Create a logger the the given log level. */
export default function createLog(mode: LogLevel): ILogger;
//# sourceMappingURL=logger.d.ts.map