"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const signale_1 = require("signale");
/** Create a dummy logger for testing. */
function dummyLog() {
    return {
        logLevel: undefined,
        log: new signale_1.Signale({ disabled: true }),
        verbose: new signale_1.Signale({ disabled: true }),
        veryVerbose: new signale_1.Signale({ disabled: true })
    };
}
exports.dummyLog = dummyLog;
/** Create a logger the the given log level. */
function createLog(mode) {
    return {
        logLevel: mode,
        log: new signale_1.Signale(),
        verbose: new signale_1.Signale({
            disabled: mode !== 'verbose' && mode !== 'veryVerbose'
        }),
        veryVerbose: new signale_1.Signale({
            disabled: mode !== 'veryVerbose'
        })
    };
}
exports.default = createLog;
//# sourceMappingURL=logger.js.map