"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const import_cwd_1 = tslib_1.__importDefault(require("import-cwd"));
/** Try to require something either from the CWD or the regular way */
function tryRequire(tryPath) {
    try {
        // Require from CWD
        return import_cwd_1.default(tryPath);
    }
    catch (error) {
        // if we try to actually require npm we will import something that is the actual npm API
        // not the plugin that we want
        if (tryPath === 'npm') {
            return;
        }
        try {
            // Require from __dirname. Needed for npx and global installs
            return require(tryPath);
        }
        catch (error) { }
    }
}
exports.default = tryRequire;
//# sourceMappingURL=try-require.js.map